%define name berry-kde4-config
%define version 0.16
%define release b1

Name:		%{name}
Summary:	Berry Linux configuration for KDE
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		User Interface/Desktops
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}

Provides: kde-settings, redhat-menus, leonidas-kde-theme
BuildArchitectures: noarch

%description
Menu structure and icons for the KDE/GNOME Berry menu.


# Setup Section
%prep
%setup -q

# Build Section
%build

# Install Section
%install
# k-menu
install -m 755 -d %{buildroot}/etc/xdg/menus
install -m 644 xdg/menus/*.menu %{buildroot}/etc/xdg/menus
ln -s kde4-applications.menu %{buildroot}/etc/xdg/menus/applications.menu
install -m 644 xdg/user-dirs* %{buildroot}/etc/xdg

install -m 755 -d %{buildroot}/usr/share/applications
install -m 644 desktop-files/*.desktop %{buildroot}/usr/share/applications
install -m 755 -d %{buildroot}/usr/share/desktop-directories
install -m 644 desktop-files/*.directory %{buildroot}/usr/share/desktop-directories

#install -m 755 -d %{buildroot}/usr/share/apps/konqueror/servicemenus
#install -m 644 servicemenus/*.desktop %{buildroot}/usr/share/apps/konqueror/servicemenus
install -m 755 -d %{buildroot}/usr/share/kde4/services/ServiceMenus
install -m 644 servicemenus/*.desktop %{buildroot}/usr/share/kde4/services/ServiceMenus
install -m 755 -d %{buildroot}/opt/berry
#install -m 755 servicemenus/*wrapper %{buildroot}/opt/berry
#install -m 755 servicemenus/*.sh %{buildroot}/opt/berry
#install -m 755 servicemenus/*.pl %{buildroot}/opt/berry
install -m 755 servicemenus/*.sh %{buildroot}/opt/berry

#install -m 755 -d %{buildroot}/etc/skel/.kde/share/apps/konqueror
#install -m 644 skel/.kde/share/apps/konqueror/bookmarks.xml %{buildroot}/etc/skel/.kde/share/apps/konqueror/
#install -m 755 -d %{buildroot}/etc/skel/.kde/share/config
#install -m 644 skel/.kde/share/config/* %{buildroot}/etc/skel/.kde/share/config/

#install -m 755 -d %{buildroot}/etc/skel/.kde/share/config
#install -m 644 kde4/skel/* %{buildroot}/etc/skel/.kde/share/config/

install -m 755 -d %{buildroot}/usr/lib/qt-3.3/etc/settings
install -m 644 settings/* %{buildroot}/usr/lib/qt-3.3/etc/settings

#install -m 755 -d %{buildroot}/usr/share/apps/kdesktop/DesktopLinks/
#cp -a DesktopLinks/* %{buildroot}/usr/share/apps/kdesktop/DesktopLinks/
#install -m 755 -d %{buildroot}/etc/skel/Desktop/
#cp -a DesktopLinks/* %{buildroot}/etc/skel/Desktop/

install -m 755 -d %{buildroot}/usr/share/icons/hicolor/
install -m 644 hicolor/* %{buildroot}/usr/share/icons/hicolor/

install -m 755 -d %{buildroot}/usr/share/kde4/apps/
cp -a kde4/apps/* %{buildroot}/usr/share/kde4/apps/
#install -m 755 -d %{buildroot}/usr/share/config/
#install -m 644 kde4/config/* %{buildroot}/usr/share/config/
install -m 755 -d %{buildroot}/etc/skel/.kde/share/config/
install -m 644 kde4/config/* %{buildroot}/etc/skel/.kde/share/config/
#cp -a kde4/usr/* %{buildroot}/usr/
#chmod 644 -R %{buildroot}/usr/share/kde-settings

install -m 755 -d %{buildroot}/usr/share/kde4/apps/desktoptheme/default/
cp -a kde4/plasma/Glassified/* %{buildroot}/usr/share/kde4/apps/desktoptheme/default/

# for KSplash Theme
#install -m 755 -d %{buildroot}/usr/share/kde4/apps/ksplash/Themes/Berry
#cp -a kde4/ksplash/* %{buildroot}/usr/share/kde4/apps/ksplash/Themes/Berry

# Clean Section
%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

# Files Section
%files
%defattr (-,root,root)
/etc/skel/
/etc/xdg/*
/usr/lib/qt-3.3/etc/settings/*
/usr/share/applications/*
#/usr/share/apps/*
#/usr/share/config/*
#/usr/share/kde-settings/*
/usr/share/desktop-directories/*
#/usr/share/apps/kdesktop/DesktopLinks/*
#/usr/share/apps/konqueror/servicemenus/*
/usr/share/kde4/*
/usr/share/icons/hicolor/*
#/opt/berry/*wrapper
/opt/berry/*


# change log
%changelog
* Mon May 9 2011 Yuichiro Nakada <berry@rberry.co.cc> - 0.11
- Added kdedrc
* Thu Jul 5 2007 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added config dir
* Sun Nov 5 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Renamed kde-applications.menu to applications.menu
* Wed Sep 13 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added DesktopLinks/, hicolor/
* Sun Aug 27 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added 'XftAntialias=true' to kdeglobals
* Fri Dec 23 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added splash, iconv-utf8
- Modified kdeglobals to use Berry-Crystal
* Wed May 18 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Bug fixed zipit.desktop
- Added Print_OpenOffice.org.desktop, floppy.desktop, extract_rpm.desktop, dvd_play_from_folder.desktop
* Tue Oct 12 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added konsolerc file for font and transparent
- Added zipit
* Mon Jul 12 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added some desktop-files
- Removed Home.desktop file in /usr/share/applications/kde/
- Removed find.desktop in kickerrc
- Added clockappletrc, kdesktoptc
* Tue Jun 15 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added Services.desktop
* Wed Apr 7 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added PlayInXMMS, EnqueueWithXMMS, mount_iso
- Added *.menu, *.desktop and *.directory for KDE-3.2 & Berry Linux
- Added qt settings
* Sun Nov 30 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Use UTF-8
- kdeservicemenus-knoppix-0.1.tar.gz
* Wed Sep 24 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added kickerrc
* Fri Jul 25 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
